/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workaskcheckprice.dao;

import com.jeeplus.modules.workfullmanage.entity.WorkFullManage;
import java.util.List;
import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workaskcheckprice.entity.WorkAskCheckPrice;

/**
 * 询价与核价DAO接口
 * @author liuw
 * @version 2017-11-06
 */
@MyBatisDao
public interface WorkAskCheckPriceDao extends CrudDao<WorkAskCheckPrice> {

	public List<WorkFullManage> findListByfullManage(WorkFullManage fullManage);

	public int getCount(String fullManageId);

	public List<WorkAskCheckPrice> findListByWF(WorkAskCheckPrice workAskCheckPrice);

	List<WorkAskCheckPrice> getListOfAttachment(String attachmentId);
	/**
	 * 更新流程实例ID
	 * @param workVisa
	 * @return
	 */
	public int updateProcessInstanceId(WorkAskCheckPrice workAskCheckPrice);
	/**
	 * 根据流程实例ID获取Leave
	 * @param processInstanceId
	 * @return
	 */
	public WorkAskCheckPrice getByProcessInstanceId(String processInstanceId);
	
}